FLATPAK ENTER(1)

NAME
flatpak-enter - Enter an application or runtime's sandbox

SYNOPSIS

flatpak enter [OPTION...] INSTANCE COMMAND [ARG...]

DESCRIPTION

Enter a running sandbox.

INSTANCE must be either the pid of a process running in a flatpak sandbox, or the ID of a running application, or the instance ID of a running sandbox. You can use flatpak ps to find the instance IDs of running flatpaks.

COMMAND is the command to run in the sandbox. Extra arguments are passed on to the command.

This creates a new process within the running sandbox, with the same environment. This is useful when you want to debug a problem with a running application.

This command works as a regular user if the system support unprivileged user namespace. If that is not available you need to run run it like: sudo -E flatpak enter.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

EXAMPLES

$ flatpak enter 15345 sh

SEE ALSO

flatpak(1), flatpak-run(1) flatpak-ps(1)